cockpit package failed to update

  • Hi,


    I'm currently using Docker and Cockpit.

    Anybody receive this error ?


  • tinh_x7

    Added the Label resolved
  • Fixed by installing cockpit with this command:


    apt-get install cockpit -y


    I had to performed the updates from the Cockpit and the issue resolved.


    similar error, root cause seems in cockpit package

    is that the same cockpit as the "before" cockpit-docker 188-1?
    now is> cockpit 234-1 ~ bpo10 + 1 (buster-backports)
    before> cockpit-docker (stable)
    big difference!?
    the webgui still cannot be installed, only via the terminal!

  • Hard to fix this unless we stop installing the cockpit-docker package. That doesn't bother me but not sure if some people are using it.

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • I have managed it that I have first updated docker cockpit package and then other Cockpit packages.

    But there is no backports cockpit-docker package and the regular repo has a very old version. I would rather not install the very old package.

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • is it cockpit-docker pkg meant it install Docker and Cockpit together ?

    It is like a cockpit plugin that allows control of docker like portainer (but not a container).

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • So, wait - let me just get this straight.


    Cockpit used to have a Docker plugin? (I never really paid attention as I use Cockpit to manage VMs and Portainer to manage Docker containers).


    I installed all the updates from the OMV web GUI except the cockpit-docker plugin as suggested, and that worked fine. It also made cockpit-docker vanish from the updates list by itself.


    So that's it, right? All is good?

  • Cockpit used to have a Docker plugin?

    Yep. I didn't think it was that good but it was very simple (not flexible enough in my opinion).


    o that's it, right? All is good?

    Yep. omvextras 5.4.3 that I just uploaded won't try to install cockpit-docker anymore.

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Yep. I didn't think it was that good but it was very simple (not flexible enough in my opinion).


    Yep. omvextras 5.4.3 that I just uploaded won't try to install cockpit-docker anymore

    no solution found to use cockpit-docker again?

  • no solution found to use cockpit-docker again?

    Disable backports and use the ancient version of cockpit in the regular repo. You won't be able to use omv-extras to install it though. Is there a reason you can use yacht or portainer?

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Is there a reason you can use yacht or portainer?

    sorry for waiting a long time for an answer.
    i also use cockpit-docker for container management, in some cases cockpit-docker is very useful. It would be good if it were available again.

  • in some cases cockpit-docker is very useful

    What cases? And can't those cases be done in portainer or yacht?


    It would be good if it were available again.

    I don't think it will be. It seems cockpit-project is not supporting it. It isn't even available on RHEL8. Therefore, there is nothing to put in the debian repo.

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • What cases? And can't those cases be done in portainer or yacht?

    you can probably do everything in Portainer, but sometimes Docker-Cockpit was easier for me to use.
    very useful log live monitoring interface.
    in the case of a Manuel composition, it was sometimes easier for me.

    I don't think it will be. It seems cockpit-project is not supporting it. It isn't even available on RHEL8. Therefore, there is nothing to put in the debian repo.

    very annoying. I shouldn't have uninstalled it, but there was always an error when running update. and reinstall no longer works.

  • Hello. I'm just curious to know if the podman plugin to cockpit wasn't possible? Should it not be able to control docker as well? Or am I missing something here?


    Maybe I have misunderstood something but haven't they written somewhere that the cockpit-podman would be a replacement for the docker cockpit?

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!